Package net.shibboleth.idp.profile.impl

# Class WebFlowProfileActionAdaptor

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.profile.impl.WebFlowProfileActionAdaptor

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

@ThreadSafe public class WebFlowProfileActionAdaptor extends AbstractProfileAction
Adaptor that wraps a `ProfileAction` with a Spring Web Flow compatible action implementation so that it can be executed as part of a flow.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final ProfileAction`
`action`
A POJO bean being adapted.

## Constructor Summary

Constructors
Constructor
Description
`WebFlowProfileActionAdaptor(ProfileAction profileAction)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(ProfileRequestContext profileRequestContext)`

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`doPreExecute, getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doExecute, doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### action

@Nonnull private final ProfileAction action
A POJO bean being adapted.

## Constructor Details

### WebFlowProfileActionAdaptor

public WebFlowProfileActionAdaptor(@Nonnull ProfileAction profileAction)
Constructor.

Parameters:
  `profileAction` - the POJO bean to adapt to Web Flow use

## Method Details

### execute

public void execute(@Nonnull ProfileRequestContext profileRequestContext)

Specified by:
  `execute` in interface `ProfileAction`
Overrides:
  `execute` in class `AbstractProfileAction`